Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ServerRequestInfo Interface Reference

Inheritance diagram for PortableInterceptor::ServerRequestInfo:

[legend]
Collaboration diagram for PortableInterceptor::ServerRequestInfo:

[legend]
List of all members.

## Public Methods
CORBA::Policy | get_server_policy (in CORBA::PolicyType type)
void | set_slot (in SlotId id, in any data) raises (InvalidSlot)
boolean | target_is_a (in CORBA::RepositoryId id)
void | add_reply_service_context (in IOP::ServiceContext service_context, in boolean replace)
## Public Attributes
readonly attribute any | sending_exception
readonly attribute ServerId | server_id
readonly attribute ORBId | orb_id
readonly attribute AdapterName | adapter_name
readonly attribute CORBA::OctetSeq | object_id
readonly attribute CORBA::OctetSeq | adapter_id
readonly attribute CORBA::RepositoryId | target_most_derived_interface

## Member Function Documentation

void PortableInterceptor::ServerRequestInfo::add_reply_service_context | ( | in IOP::ServiceContext | service_context,
|  | in boolean | replace
| ) |

CORBA::Policy PortableInterceptor::ServerRequestInfo::get_server_policy | ( | in CORBA::PolicyType | type | ) |

void PortableInterceptor::ServerRequestInfo::set_slot | ( | in SlotId | id,
|  | in any | data
| ) | raises (InvalidSlot)

boolean PortableInterceptor::ServerRequestInfo::target_is_a | ( | in CORBA::RepositoryId | id | ) |

## Member Data Documentation

readonly attribute CORBA::OctetSeq PortableInterceptor::ServerRequestInfo::adapter_id

readonly attribute AdapterName PortableInterceptor::ServerRequestInfo::adapter_name

readonly attribute CORBA::OctetSeq PortableInterceptor::ServerRequestInfo::object_id

readonly attribute ORBId PortableInterceptor::ServerRequestInfo::orb_id

readonly attribute any PortableInterceptor::ServerRequestInfo::sending_exception

readonly attribute ServerId PortableInterceptor::ServerRequestInfo::server_id

readonly attribute CORBA::RepositoryId PortableInterceptor::ServerRequestInfo::target_most_derived_interface

The documentation for this interface was generated from the following file:

- PortableInterceptor.pidl